<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <meta name="author" content="Julien Paris   développeur fullstack    co-fondateur de la coopérative multi ">
  <title>Datami</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reset.css">
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/reveal.css">
  <style>
    .reveal .sourceCode {  /* see #7635 */
      overflow: visible;
    }
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    div.columns{display: flex; gap: min(4vw, 1.5em);}
    div.column{flex: auto; overflow-x: auto;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
    ul.task-list li input[type="checkbox"] {
      width: 0.8em;
      margin: 0 0.8em 0.2em -1.6em;
      vertical-align: middle;
    }
    .display.math{display: block; text-align: center; margin: 0.5rem auto;}
  </style>
  <link rel="stylesheet" href="https://unpkg.com/reveal.js@^4//dist/theme/white.css" id="theme">
  <link rel="stylesheet" href="static/style.css"/>
  <link rel="icon" type="image/x-icon" href="static/favicon.ico"/>
</head>
<body>
  <div class="reveal">
    <div class="slides">

<section id="title-slide" data-background-image="images/logos/logo-DATAMI-rect-colors.png" data-background-position="right
10% top 40%, right 4% top 40%" data-background-size="auto 10%, auto 5%">
  <h1 class="title">Datami</h1>
  <p class="subtitle"><strong>Rétroplanning 2023</strong></p>
  <p class="author"><span class="text-bold">Julien Paris</span><br>
<span class="text-micro text-author-details"> <em>développeur
fullstack</em> </span><br> <span class="text-micro text-author-details">
<em>co-fondateur de la <a href="https://multi.coop">coopérative
multi</a></em> </span></p>
  <p class="date"><span class="emph-line">14 mars 2023</span><br>Plan en
pressant <span class="text-nano"><code>echap</code></span><br>Versions :
<a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-fr.html">fr</a>
/ <a
href="https://multi-coop.gitlab.io/datami-project/datami-slides-fr/presentation-en.html">en</a></p>
</section>

<section>
<section id="global" class="title-slide slide level1">
<h1>GLOBAL</h1>

</section>
<section class="slide level2">

<p><strong>Global - tech</strong></p>
</section>
<section class="slide level2">

<table class="table-retroplanning">
<thead>
<tr>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th colspan="4" style="border-top: none; border-left: none; border-right: none;">
2023
</th>
<th colspan="4" style="border-top: none; border-left: none; border-right: none;">
2024
</th>
</tr>
</thead>
<tbody>
<tr style="background:whitesmoke; font-weight:bold;">
<td>
<strong>Milestones</strong>
</td>
<td>
<strong>Features</strong>
</td>
<td>
<strong>Priority</strong>
</td>
<td>
<strong>Difficulty</strong>
</td>
<td>
T1
</td>
<td>
T2
</td>
<td>
T3
</td>
<td>
T4
</td>
<td>
T1
</td>
<td>
T2
</td>
<td>
T3
</td>
<td>
T4
</td>
</tr>
<!--  -->
<tr>
<td rowspan="5" style="font-weight:bold;">
More data sources
</td>
<td>
Connect to external APIs - generic
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
15 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Connect to external APIs - OSM
</td>
<td class="text-center">
🟡
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
8 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Activity pub integration
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
18 d.
</td>
</tr>
<tr>
<td>
Connector to SourceForge
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
5 d.
</td>
<td>
</td>
</tr>
<tr>
<td>
Connector to BitBucket
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
5 d.
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="2" style="font-weight:bold;">
Online widget configuration
</td>
<td>
Interactive interface + preview
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
20 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Save new config to git repo
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
10 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr>
<td rowspan="2" style="font-weight:bold;">
Manage contribution widget
</td>
<td>
Interface loading last PRs from repo
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
17 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Accept / moderate PR + messages
</td>
<td class="text-center">
🔴
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="2" style="font-weight:bold;">
Protect widget with password
</td>
<td>
Protect access before showing widget
</td>
<td class="text-center">
🟠
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
6 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Special token for protected widget
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
6 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr>
<td rowspan="5" style="font-weight:bold;">
Better UX - data management
</td>
<td>
Add a new column + update schema
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
10 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Drag &amp; drop CSV to widget
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
10 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Save CSV file to Git repo
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
4 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Add / drag-drop a picture in a cell
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
6 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Cache user changes / branch until pushing
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="6" style="font-weight:bold;">
Better UX - data interaction
</td>
<td>
Full screen - debug
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
6 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Range filter
</td>
<td class="text-center">
🟡
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
4 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Change width column
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
8 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Helper at loader
</td>
<td class="text-center">
🟡
</td>
<td>
▪️
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
2 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Better integration of Frictionless data packages
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="4" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Export as pdf
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
</tr>
<!--  -->
<tr>
<td rowspan="2" style="font-weight:bold;">
Better UX - maps
</td>
<td>
Inject data to vector tiles on map view
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
8 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Add or edit geojson objects
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="5" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
32 d.
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="2" style="font-weight:bold;">
Better UI - customization
</td>
<td>
Custom styles / CSS / logos
</td>
<td class="text-center">
🟠
</td>
<td>
▪️
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
4 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Accessibility
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="5" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
</tr>
<!--  -->
<tr>
<td rowspan="3" style="font-weight:bold;">
Better UI - new views
</td>
<td>
Agenda view
</td>
<td class="text-center">
🟡
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
8 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Graphs view with D3js
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
10 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr>
<td>
Simultaneous dataviz + map on same view
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="2" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
9 d.
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="3" style="font-weight:bold;">
Refactoring
</td>
<td>
Put all git* requests into a package
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="4" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
15 d.
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Migration to Typescript
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
15 d.
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Migration to Vue3
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
18 d.
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="border-bottom: 1px solid grey;">
<td rowspan="1" style="font-weight:bold;">
Tests
</td>
<td>
Functional &amp; unit tests
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="4" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
18 d.
</td>
<td>
</td>
<td>
</td>
</tr>
</tbody>
</table>
</section>
<section class="slide level2">

<p><strong>Global - bizdev</strong></p>
<table class="table-retroplanning">
<thead>
<tr>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th style="border-top: none; border-left: none; border-right: none;">
</th>
<th colspan="4" style="border-top: none; border-left: none; border-right: none;">
2023
</th>
<th colspan="4" style="border-top: none; border-left: none; border-right: none;">
2024
</th>
</tr>
</thead>
<tbody>
<tr style="background:whitesmoke; font-weight:bold;">
<td>
<strong>Milestones</strong>
</td>
<td>
<strong>Features</strong>
</td>
<td>
<strong>Priority</strong>
</td>
<td>
<strong>Difficulty</strong>
</td>
<td>
T1
</td>
<td>
T2
</td>
<td>
T3
</td>
<td>
T4
</td>
<td>
T1
</td>
<td>
T2
</td>
<td>
T3
</td>
<td>
T4
</td>
</tr>
<!--  -->
<tr>
<td rowspan="1" style="font-weight:bold;">
Project management
</td>
<td>
Events, coordination
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td colspan="5" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
20 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="2" style="font-weight:bold;">
Translations
</td>
<td>
Translate to Spanish
</td>
<td class="text-center">
🔴
</td>
<td>
▪️
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
2 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Translate to Italian
</td>
<td class="text-center">
🟡
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="1" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
2 d.
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<!--  -->
<tr>
<td rowspan="3" style="font-weight:bold;">
Community management
</td>
<td>
Community management
</td>
<td class="text-center">
🔴
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="5" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
25 d.
</td>
</tr>
<tr>
<td>
Roadmap management
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="6" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
10 d.
</td>
</tr>
<tr>
<td>
Set up showcases
</td>
<td class="text-center">
🟡
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="4" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr style="background:whitesmoke;">
<td rowspan="2" style="font-weight:bold;">
Business model
</td>
<td>
Update website
</td>
<td class="text-center">
🟠
</td>
<td>
▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<tr style="background:whitesmoke;">
<td>
Business model
</td>
<td class="text-center">
🔴
</td>
<td>
▪️▪️▪️
</td>
<td>
</td>
<td>
</td>
<td>
</td>
<td colspan="3" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
12 d.
</td>
<td>
</td>
<td>
</td>
</tr>
<!--  -->
<tr>
<td rowspan="1" style="font-weight:bold;">
Design
</td>
<td>
UX workshops
</td>
<td class="text-center">
🟠
</td>
<td>
▪️▪️
</td>
<td>
</td>
<td>
</td>
<td colspan="5" style="background:lightyellow; border-left:1px solid grey;border-right:1px solid grey;">
15 d.
</td>
<td>
</td>
</tr>
</tbody>
</table>
</section></section>
<section>
<section id="ngi_search" class="title-slide slide level1">
<h1>NGI_SEARCH</h1>

</section>
<section class="slide level2">

<p><strong>NGI_SEARCH - Tech</strong></p>
</section>
<section class="slide level2">

<p><strong>NGI_SEARCH - Bizdev</strong></p>
</section></section>
    </div>
  </div>

  <script src="https://unpkg.com/reveal.js@^4//dist/reveal.js"></script>

  <!-- reveal.js plugins -->
  <script src="https://unpkg.com/reveal.js@^4//plugin/notes/notes.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/search/search.js"></script>
  <script src="https://unpkg.com/reveal.js@^4//plugin/zoom/zoom.js"></script>

  <script>

      // Full list of configuration options available at:
      // https://revealjs.com/config/
      Reveal.initialize({
        // Display controls in the bottom right corner
        controls: true,

        // Help the user learn the controls by providing hints, for example by
        // bouncing the down arrow when they first encounter a vertical slide
        controlsTutorial: true,

        // Determines where controls appear, "edges" or "bottom-right"
        controlsLayout: 'bottom-right',

        // Visibility rule for backwards navigation arrows; "faded", "hidden"
        // or "visible"
        controlsBackArrows: 'faded',

        // Display a presentation progress bar
        progress: true,

        // Display the page number of the current slide
        slideNumber: true,

        // 'all', 'print', or 'speaker'
        showSlideNumber: 'all',

        // Add the current slide number to the URL hash so that reloading the
        // page/copying the URL will return you to the same slide
        hash: true,

        // Start with 1 for the hash rather than 0
        hashOneBasedIndex: false,

        // Flags if we should monitor the hash and change slides accordingly
        respondToHashChanges: true,

        // Push each slide change to the browser history
        history: false,

        // Enable keyboard shortcuts for navigation
        keyboard: true,

        // Enable the slide overview mode
        overview: true,

        // Disables the default reveal.js slide layout (scaling and centering)
        // so that you can use custom CSS layout
        disableLayout: false,

        // Vertical centering of slides
        center: true,

        // Enables touch navigation on devices with touch input
        touch: true,

        // Loop the presentation
        loop: false,

        // Change the presentation direction to be RTL
        rtl: false,

        // see https://revealjs.com/vertical-slides/#navigation-mode
        navigationMode: 'default',

        // Randomizes the order of slides each time the presentation loads
        shuffle: false,

        // Turns fragments on and off globally
        fragments: true,

        // Flags whether to include the current fragment in the URL,
        // so that reloading brings you to the same fragment position
        fragmentInURL: true,

        // Flags if the presentation is running in an embedded mode,
        // i.e. contained within a limited portion of the screen
        embedded: false,

        // Flags if we should show a help overlay when the questionmark
        // key is pressed
        help: true,

        // Flags if it should be possible to pause the presentation (blackout)
        pause: true,

        // Flags if speaker notes should be visible to all viewers
        showNotes: false,

        // Global override for autoplaying embedded media (null/true/false)
        autoPlayMedia: null,

        // Global override for preloading lazy-loaded iframes (null/true/false)
        preloadIframes: null,

        // Number of milliseconds between automatically proceeding to the
        // next slide, disabled when set to 0, this value can be overwritten
        // by using a data-autoslide attribute on your slides
        autoSlide: 0,

        // Stop auto-sliding after user input
        autoSlideStoppable: true,

        // Use this method for navigation when auto-sliding
        autoSlideMethod: null,

        // Specify the average time in seconds that you think you will spend
        // presenting each slide. This is used to show a pacing timer in the
        // speaker view
        defaultTiming: null,

        // Enable slide navigation via mouse wheel
        mouseWheel: false,

        // The display mode that will be used to show slides
        display: 'block',

        // Hide cursor if inactive
        hideInactiveCursor: true,

        // Time before the cursor is hidden (in ms)
        hideCursorTime: 5000,

        // Opens links in an iframe preview overlay
        previewLinks: false,

        // Transition style (none/fade/slide/convex/concave/zoom)
        transition: 'slide',

        // Transition speed (default/fast/slow)
        transitionSpeed: 'default',

        // Transition style for full page slide backgrounds
        // (none/fade/slide/convex/concave/zoom)
        backgroundTransition: 'fade',

        // Number of slides away from the current that are visible
        viewDistance: 3,

        // Number of slides away from the current that are visible on mobile
        // devices. It is advisable to set this to a lower number than
        // viewDistance in order to save resources.
        mobileViewDistance: 2,

        // reveal.js plugins
        plugins: [
          RevealNotes,
          RevealSearch,
          RevealZoom
        ]
      });
    </script>
    </body>
</html>
